프로젝트 레이블 API
프로젝트 레이블 API에 대해 설명합니다.
히스토리 archived 속성이 GitLab 18.3에서 labels_archive 라는 이름의 기능 플래그와 함께 도입되었습니다 . GitLab 18.10에서 일반 공급되었습니다 . 기능 플래그 labels_archive 는 제거되었습니다. 이 API로 프로젝트 레이블 을 관리합니다. 그룹 레이블은 그룹 레이블 API 를 사용합니다. 프로젝트 레이블 전체 조회 # 지정한 프로젝트의 모든 레이블을 조회합니다. API 결과는 페이지네이션이 적용되므로 이 요청은 기본적으로 한 번에 20건을 반환합니다. GET /projects/:id/labels 속성 유형 필수 설명 id integer or string 예 프로젝트의 ID 또는 URL 인코딩된 경로 with_counts boolean 아니요 이슈 및 머지 리퀘스트 개수를 포함할지 여부. 기본값은 false 입니다. include_ancestor_groups boolean 아니요 상위 그룹을 포함합니다. 기본값은 true 입니다. search string 아니요 레이블을 필터링할 키워드. archived boolean 아니요 true 이면 보관된 레이블만 반환합니다. 설정하지 않으면 모든 레이블을 반환합니다. curl \ --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/projects/1/labels?with_counts=true" 응답 예시: [ { "id" : 1 , "name" : "bug" , "color" : "#d9534f" , "text_color" : "#FFFFFF" , "description" : "Bug reported by user" , "description_html" : "Bug reported by user" , "open_issues_count" : 1 , "closed_issues_count" : 0 , "open_merge_requests_count" : 1 , "subscribed" : false , "priority" : 10 , "is_project_label" : true , "archived" : false } , { "id" : 4 , "color" : "#d9534f" , "text_color" : "#FFFFFF" , "name" : "confirmed" , "description" : "Confirmed issue" , "description_html" : "Confirmed issue" , "open_issues_count" : 2 , "closed_issues_count" : 5 , "open_merge_requests_count" : 0 , "subscribed" : false , "priority" : null , "is_project_label" : true , "archived" : false } , { "id" : 7 , "name" : "critical" , "color" : "#d9534f" , "text_co